#include <iostream>

using namespace std;

int main()
{
    int N,L,x=-1;
    cin>>N>>L;
    int H[N];
    for(int i=1;i<N;i++)
        cin>>H[i];
    for(int i=1;i<N;i++)
        if(H[i]<=L && x==-1)
            x=i;
    cout<<x;
}